org.eclnt.jsfserver.util

## Class ExpressionManagerV

- java.lang.Object
- - org.eclnt.jsfserver.util.ExpressionManagerV

-     public class ExpressionManagerV
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `JSF12`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpressionManagerV()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String[]` | `buildTokens(java.lang.String vbString)` The string vbString is transferred into its tokens.
    `static boolean` | `checkIfObjectIsAnExpression(java.lang.Object object)`
    `static java.lang.Object` | `createExpression(Application app, java.lang.String vbString)`
    `static java.lang.Object` | `getExpressionFromComponentAttribute(UIComponent component, java.lang.String attributeName)`
    `static java.lang.String` | `getExpressionString(java.lang.Object expression)`
    `static java.lang.Class` | `getType(FacesContext context, java.lang.Object expression)`
    `static java.lang.Object` | `getValue(FacesContext context, java.lang.Object expression)`
    `static java.lang.Object` | `getValueForExpressionString(FacesContext context, java.lang.String expressionString)`
    `static java.lang.Object` | `getValueForExpressionString(FacesContext context, java.lang.String expressionString, boolean withError)`
    `static void` | `setExpressionAsComponentAttribute(UIComponent component, java.lang.String attributeName, java.lang.Object expression)`
    `static void` | `setFlagSetMayFail(java.lang.Object expression, boolean flagSetMayFail)` By default a set-operation that fails with an expression causes some Error that is thrown.
    `static void` | `setValue(FacesContext context, java.lang.Object expression, java.lang.Object value)` Set value of an expression.
    `static void` | `setValue(FacesContext context, java.lang.Object expression, java.lang.Object value, boolean clearStack)` Internal usage.
    `static void` | `setValueInExpressionString(FacesContext context, java.lang.String expressionString, java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JSF12

          public static boolean JSF12

  - ### Constructor Detail

    - #### ExpressionManagerV

          public ExpressionManagerV()

  - ### Method Detail

    - #### setValueInExpressionString

          public static void setValueInExpressionString(FacesContext context,
                                                        java.lang.String expressionString,
                                                        java.lang.Object value)

    - #### getValueForExpressionString

          public static java.lang.Object getValueForExpressionString(FacesContext context,
                                                                     java.lang.String expressionString,
                                                                     boolean withError)
                                                              throws PropertyNotFoundException

      Parameters:
        `withError` - If an expression cannot be resolved (e.g. the expression is pointing to a property which does not exist) then you may explicitly decide if "null" is returned (withError set to "false") or if a PropertyNotFound-exception is thrown (withError set to "true").
      Throws:
        `PropertyNotFoundException`

    - #### getValueForExpressionString

          public static java.lang.Object getValueForExpressionString(FacesContext context,
                                                                     java.lang.String expressionString)

    - #### setFlagSetMayFail

          public static void setFlagSetMayFail(java.lang.Object expression,
                                               boolean flagSetMayFail)

      By default a set-operation that fails with an expression causes some Error that is thrown. You can explicitly mark an expression so that it knows that set-operations may fail - so no error will be thrown later on.

    - #### setValue

          public static void setValue(FacesContext context,
                                      java.lang.Object expression,
                                      java.lang.Object value)

      Set value of an expression.

    - #### setValue

          public static void setValue(FacesContext context,
                                      java.lang.Object expression,
                                      java.lang.Object value,
                                      boolean clearStack)

      Internal usage.

    - #### getType

          public static java.lang.Class getType(FacesContext context,
                                                java.lang.Object expression)

    - #### getValue

          public static java.lang.Object getValue(FacesContext context,
                                                  java.lang.Object expression)

    - #### getExpressionString

          public static java.lang.String getExpressionString(java.lang.Object expression)

    - #### getExpressionFromComponentAttribute

          public static java.lang.Object getExpressionFromComponentAttribute(UIComponent component,
                                                                             java.lang.String attributeName)

    - #### setExpressionAsComponentAttribute

          public static void setExpressionAsComponentAttribute(UIComponent component,
                                                               java.lang.String attributeName,
                                                               java.lang.Object expression)

    - #### createExpression

          public static java.lang.Object createExpression(Application app,
                                                          java.lang.String vbString)

    - #### checkIfObjectIsAnExpression

          public static boolean checkIfObjectIsAnExpression(java.lang.Object object)

    - #### buildTokens

          public static java.lang.String[] buildTokens(java.lang.String vbString)

      The string vbString is transferred into its tokens.

Copyright © CaptainCasa Gmbh. All Rights Reserved.